﻿<%@ Page Language="C#" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
  public static ArrayList data = null;

  protected void Page_Load(object sender, EventArgs e)
  {
    if (!IsPostBack)
    {
      data = new ArrayList();
      Product p1 = new Product(111, "Widget");
      Product p2 = new Product(222, "Gizzmo");
      Product p3 = new Product(333, "Thingy");
      data.Add(p1); data.Add(p2); data.Add(p3);
    }

  }
  protected void Button1_Click(object sender, EventArgs e)
  {
    ListBox1.Items.Clear();
    ListBox1.Items.Add(data.Count.ToString());
    string filter = TextBox1.Text.Trim();
    string sensitivity = RadioButtonList1.SelectedValue; // "Case Sensitive" or "Not Case Sensitive"
    ListBox1.Items.Add("ID   Description");
    ListBox1.Items.Add("===============");

    string resultRow;
    int count = 0;
    foreach (Product p in data)
    {
      resultRow = "";
      if (sensitivity == "Not Case Sensitive" && p.desc.IndexOf(filter, StringComparison.CurrentCultureIgnoreCase) >= 0)
      {
        resultRow = p.id + " " + p.desc; ++count;
      }
      else if (sensitivity == "Case Sensitive" && p.desc.IndexOf(filter) >= 0)
      {
        resultRow = p.id + " " + p.desc; ++count;
      }
      if (resultRow != "") ListBox1.Items.Add(resultRow);
    }
    ListBox1.Items.Add("");
    ListBox1.Items.Add("Found " + count + " matching items");

  }

  public class Product
  {
    public int id;
    public string desc;
    public Product(int id, string desc)
    {
      this.id = id; this.desc = desc;
    }
  }

</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Product Search</title>
</head>
<body bgcolor="#ccbbcc">
    <form id="form1" runat="server">
    <div>
      <asp:Label ID="Label1" runat="server" Text="Find:" Font-Names="Arial" 
        Font-Size="Small"></asp:Label>&nbsp;&nbsp;
      <asp:TextBox ID="TextBox1" runat="server" Width="114px"></asp:TextBox>&nbsp;&nbsp;
      <asp:Button ID="Button1" runat="server" onclick="Button1_Click" Text="Go" />
      <br />
      <asp:RadioButtonList ID="RadioButtonList1" runat="server" Font-Names="Arial" 
        Font-Size="Small">
        <asp:ListItem>Case Sensitive</asp:ListItem>
        <asp:ListItem Selected="True">Not Case Sensitive</asp:ListItem>
      </asp:RadioButtonList>
    </div>
      <asp:ListBox ID="ListBox1" runat="server" Height="131px" Width="246px" 
      Font-Names="Courier New" Font-Size="Small">
    </asp:ListBox>
    </form>
</body>
</html>
